GET V1/Payments.{ext}/RemitCodeCheck?remitCode={remitCode}&pageIndex={pageIndex}&pageSize={pageSize}
Get All Remit Details of Check Payment Type
Mandatory Fields : remitCode
Optional Fields : pageIndex ,pageSize
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| remitCode |
Remit code |
string |
Required |
| pageIndex |
Page index |
integer |
Default value is 0 |
| pageSize |
Page size |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Payments.Entities.VendorRemitCheck| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.VendorRemitCheck |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "VendorRemitCheck",
"response": {
"paymentMethod": "sample string 1",
"prokarmaVendorRMTCODE": "sample string 2",
"vndrPayeeName": "sample string 3",
"remitStatus": "sample string 4",
"address1": "sample string 5",
"address2": "sample string 6",
"city": "sample string 7",
"state": "sample string 8",
"zip": "sample string 9",
"country": "sample string 10"
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.